import { createContext, useState } from "react";

export const TaskContext = createContext(
  {
    tasks_ar:[{name:"",id:1}],
    addTask:(item) => {},
    removeTask:(id) => {}
  }
);


export function TaksContextProvider({children}){
  const [tasks_ar,setTasksAr] = useState([
    {name:"go to work", id:1},
    {name:"go to eat", id:2}
  ])

  const addTask = (item) => {
    setTasksAr((ar) => [...ar,item])
  }

  const removeTask = (id) => {
    setTasksAr((ar) => ar.filter(item => item.id != id))
  }

  const val = {
    tasks_ar,
    addTask,
    removeTask
  }


  return (
    <TaskContext.Provider value={val} >
      {children}
    </TaskContext.Provider>
  )
}